org.gradle.play

## Interface PublicAssets

- All Superinterfaces:
    Buildable, BuildableModelElement

      @Incubating
      public interface PublicAssets
      extends BuildableModelElement

  A set of public assets added to a binary.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssetDir(File resourceDir)` Add an asset directory to this binary.
    `Set<File>` | `getAssetDirs()` A set of asset directories for this binary.

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getAssetDirs

          Set<File> getAssetDirs()

      A set of asset directories for this binary.

    - #### addAssetDir

          void addAssetDir(File resourceDir)

      Add an asset directory to this binary.